Workflow Step Run
The workflow step run resource.
/workflowStepRunList workflow step runs
Retrieve a paginated list of workflow step runs. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
curl --request GET \
--url 'https://rest.carbon.ms/workflowStepRun?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'[
{
"id": "abc123def456",
"companyId": "xyz789",
"runId": "xyz789",
"sequence": 0,
"nodeId": "xyz789",
"nodeType": "string",
"itemKey": "string",
"status": "string"
}
]/workflowStepRunRetrieve a workflow step run
Fetch a single workflow step run by filtering on `id`.
Query parameters
idstringMatch on the workflow step run's `id`, e.g. `eq.{id}`.
curl --request GET \
--url 'https://rest.carbon.ms/workflowStepRun?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'{
"id": "abc123def456",
"companyId": "xyz789",
"runId": "xyz789",
"sequence": 0,
"nodeId": "xyz789",
"nodeType": "string",
"itemKey": "string",
"status": "string"
}/workflowStepRunCreate a workflow step run
Create a new workflow step run.
Body parameters
runIdstringrequiredsequencenumberrequirednodeIdstringrequirednodeTypestringrequireditemKeystringrequiredstatusstringrequiredstatusReasonstringinputobjectoutputobjectbranchTakenstringstartedAttimestampcompletedAttimestampdurationMsnumbererrorstringcompactedAttimestampdetailobjectDiagnostics only (per-clause condition evaluation). Never node data - that is "output".
curl --request POST \
--url https://rest.carbon.ms/workflowStepRun \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"runId":"xyz789","sequence":0,"nodeId":"xyz789","nodeType":"string","itemKey":"string","status":"string"}'{
"id": "abc123def456",
"companyId": "xyz789",
"runId": "xyz789",
"sequence": 0,
"nodeId": "xyz789",
"nodeType": "string",
"itemKey": "string",
"status": "string"
}/workflowStepRunUpdate a workflow step run
Update an existing workflow step run, matched on `id`.
Body parameters
runIdstringrequiredsequencenumberrequirednodeIdstringrequirednodeTypestringrequireditemKeystringrequiredstatusstringrequiredstatusReasonstringinputobjectoutputobjectbranchTakenstringstartedAttimestampcompletedAttimestampdurationMsnumbererrorstringcompactedAttimestampdetailobjectDiagnostics only (per-clause condition evaluation). Never node data - that is "output".
curl --request PATCH \
--url 'https://rest.carbon.ms/workflowStepRun?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"runId":"xyz789"}'{
"id": "abc123def456",
"companyId": "xyz789",
"runId": "xyz789",
"sequence": 0,
"nodeId": "xyz789",
"nodeType": "string",
"itemKey": "string",
"status": "string"
}/workflowStepRunDelete a workflow step run
Delete a workflow step run, matched on `id`. Returns 204 No Content.
Query parameters
idstringThe `id` of the workflow step run to delete, e.g. `eq.{id}`.
curl --request DELETE \
--url 'https://rest.carbon.ms/workflowStepRun?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'